.footer-main-parent-div {
    background-color: var(--primary-color);
    padding: 50px 0 20px 0;
}

.footer-main-parent-div-upper {
    padding: 0;
}


.footer-upper-left-div {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: left;
    text-align: center;
    gap: 30%;

}

.footer-upper-left-div p,
.unlock-the-fastest-method,
.footer-explore-more,
.footer-upper-right-div-child p,
.footer-upper-right-div-child a,
.lower-terms-conditions,
.lower-Support,
.lower-Copyright,
.lower-terms-conditions {
    color: #fff;
}

.footer-upper-right-div-child a {
    text-decoration: none;

}

.footer-horizontal-line {
    border-top: 2px solid #fff;

}

.footer-upper-left-div,
.footer-upper-center-div,
.footer-upper-right-div {
    height: 100%;
}

.footer-upper-left-div {
    padding: 50px 0px 50px 0px;
}


.footer-upper-center-div {
    padding: 20px 0px 50px 0px;
}

.footer-upper-right-div {
    padding: 20px 0px 50px 0px;
}


.footer-upper-left-div .lets-talk-to-our {
    font-size: 19px;
    font-weight: var(--desktop-subparagraph-font-weight);
    line-height: 22.27px;
    text-align: left;

}

.footer-upper-left-div .need-more-information {
    font-family: var(--primary-font-family);
    font-size: var(--desktop-subheading1-font-size);
    font-weight: var(--desktop-subheading-font-weight);
    line-height: var(--desktop-subheading1-line-height);
    text-align: left;

}

.footer-upper-left-div .get-in-touch {
    font-size: 28px;
    font-weight: var(--desktop-subheading-font-weight);
    line-height: 32.81px;
    text-align: left;

}

.footer-upper-center-div-side-child2 {
    width: 100%;
    display: flex;
    gap: 5%;
    justify-content: left;
    align-items: center;
    margin-top: 20px;
}

.unlock-the-fastest-method {
    margin-top: 30px;
    text-align: left;
    font-size: var(--desktop-subparagraph-font-size);
    font-weight: var(--desktop-subparagraph-font-weight);
    line-height: var(--desktop-subparagraph-line-height);
}

.upper-center-div-follow-us {
    color: #fff;
    margin-top: 40px;
    font-weight: var(--desktop-subparagraph-font-weight);
    text-align: left;
    font-size: var(--desktop-paragraph-font-size);
    line-height: var(--desktop-paragraph-line-height);

}

.get-in-touch a {
    text-decoration: none;
    color: #fff;
}

.get-in-touch {
    text-decoration: underline;
    text-underline-offset: 10px;
}

.footer-main-parent-div-upper-cild {
    margin-left: 0;
    margin-right: 0;
}

.footer-upper-right-div-child {
    /* margin-top: 30px; */
    display: flex;
    justify-content: left;
    gap: 50%;
}


.footer-upper-right-div-child .footer-explore-more-railways,
.footer-explore-more-roadways,
.footer-explore-more-landslide,
.footer-explore-more-minig,
.footer-explore-more-oil-gas,
.footer-explore-more-more,
.footer-explore-more-about,
.footer-explore-more-services,
.footer-explore-more-gallery,
.footer-explore-more-for-pilot {
    margin-top: 20px;
    font-weight: var(--desktop-subparagraph-font-weight);
    text-align: left;
    font-size: var(--desktop-subparagraph-font-size);
    line-height: var(--desktop-subparagraph-line-height);

}

.footer-explore-more {
    font-size: var(--desktop-paragraph-font-size);
    font-weight: var(--desktop-subparagraph-font-weight);
    line-height: 19.92px;
    text-align: left;

}

.footer-main-parent-div-lower {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    gap: 0;
    margin-bottom: 10px;
    margin-top: 10px;
}

.footer-main-parent-div-lower-rigt {
    display: flex;
    justify-content: space-evenly;
    gap: 5%;
}

.lower-terms-conditions,
.lower-Support,
.lower-Copyright,
.lower-terms-conditions {
    text-align: left;
    white-space: nowrap;
    font-size: var(--desktop-subparagraph-font-size);
    font-weight: var(--desktop-subparagraph-font-weight);
    line-height: var(--desktop-subparagraph-line-height);
}


#scrollTopBtn {
    width: 60px;
    height: 60px;
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px;
    background-color: var(--secondary-color);
    color: #fff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    display: none;
    font-size: 20px;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 10px 6px rgba(0, 0, 0, 0.1);
    z-index: 100;
}

#scrollTopBtn:hover {
    color: var(--primary-color);
    box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.15);
}

@media (max-width: 768px) {
    .footer-main-parent-div-lower {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        gap: 20%;

    }

    .lower-Copyright {
        display: flex;
        justify-content: center;
    }

    .footer-main-parent-div-lower-rigt {
        margin-top: 20px;
    }

    .footer-upper-left-div {
        gap: 10%;
    }

    .unlock-the-fastest-method {
        margin-top: 20px;
        text-align: center;
    }


    .lower-terms-conditions,
    .lower-Support,
    .lower-Copyright,
    .lower-terms-conditions {
        font-size: var(--mobile-subparagraph-font-size);
        line-height: var(--mobile-subparagraph-line-height);
    }

    #scrollTopBtn {
        width: 60px;
        height: 60px;
        bottom: 15px;
        right: 15px;
        font-size: 18px;
    }

}

@media (max-width: 575px) {

    .footer-upper-left-div,
    .footer-upper-right-div,
    .footer-upper-center-div {
        padding: 20px 10px;
    }


    .footer-upper-center-div {
        display: flex;
        flex-direction: column;
        align-items: center;
    }


    .footer-main-parent-div-lower-rigt {
        margin-top: 20px;
    }

    .footer-main-parent-div-lower {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        gap: 20%;
    }

    .lower-Copyright {
        display: flex;
        justify-content: center;
    }

    .footer-upper-center-div-side-child2 {
        justify-content: center;
    }

    .footer-upper-left-div .lets-talk-to-our {
        font-size: 12px;
        font-weight: var(--desktop-subparagraph-font-weight);
        line-height: 18px;
        text-align: left;

    }

    .footer-upper-left-div .need-more-information {
        font-size: 19px;
        font-weight: var(--desktop-subheading-font-weight);
        line-height: 28.5px;
        text-align: left;

    }

    .footer-upper-left-div .get-in-touch {
        font-size: 18px;
        font-weight: var(--desktop-subheading-font-weight);
        line-height: 27px;
        text-align: left;

    }

    .footer-upper-right-div-child {
        display: flex;
        justify-content: space-evenly;
        gap: 10%;
    }

    .footer-upper-center-div {
        padding: 20px 0px 50px 0px;
        justify-content: center;
        align-items: center;
        display: flex;
        flex-direction: column;
    }


    #scrollTopBtn {
        width: 50px;
        height: 50px;
        bottom: 10px;
        right: 10px;
        font-size: 16px;
    }
}